Bug 172001 - MySQL 4.0.26 crashes when memlock option enabled
MySQL 4.0.26 crashes when memlock option enabled
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-10-28 18:23 EDT by Owen
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-10-31 19:59:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Owen 2005-10-28 18:23:45 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X; en) AppleWebKit/412.7 (KHTML, like Gecko) Safari/412.5

Description of problem:
After the most recent kernel upgrade to RHE4, the memlock feature of MySQL stopped working. When 
starting mysql with memlock turned on MySQL would exit and the following would be shown in the error 
051028 17:22:08  mysqld restarted
051028 17:22:08 Can't start server: Bind on TCP/IP port: Address already in use
051028 17:22:08 Do you already have another mysqld server running on port: 3306 ?
051028 17:22:08 Aborting

051028 17:22:08 /usr/local/mysql/bin/mysqld: Shutdown Complete

051028 17:22:08  mysqld ended

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Using the 4.0.26 binaries from MySQL.com, add the following line to the /etc/my.cnf file in the mysqld 
section: memlock
2. Restart mysql
3. Mysql will not start and will exit immediately.

Actual Results:  MySQL exited immediately.

Expected Results:  MySQL should have ran as normal. This feature worked normally before the kernel upgrade.

Additional info:

[root@mercury ~]# mysql -V
mysql  Ver 12.22 Distrib 4.0.26, for pc-linux-gnu (i686)

Dual Xeon, 2 GB RAM.
Comment 1 Owen 2005-10-28 18:24:47 EDT
# uname -a
Linux mercury.op-design.com 2.6.9-22.0.1.ELsmp #1 SMP Tue Oct 18 18:39:27 EDT 2005 i686 i686 i386 
Comment 2 Jason Baron 2005-10-31 19:11:58 EST
what was the previous kernel version that this work under?
Comment 3 Owen 2005-10-31 19:59:54 EST
Upon lots of further testing, it turns out to be a goof on my part. Thanks anyway!
Comment 4 Jason Baron 2005-10-31 20:20:45 EST
ok. thanks for the update.

Note You need to log in before you can comment on or make changes to this bug.